# Domain Name System (DNS)

Il Domain Name System (`DNS`) è un protocollo del livello applicativo (layer 7) nel modello ISO/OSI e del layer 5 nel modello TCP/IP. Utilizza il protocollo UDP a livello di trasporto ed è associato alla *well-know port 53*.

La funzione principale del DNS è quella di tradurre i nomi di dominio in indirizzi IP, facilitando così la navigazione degli utenti. Oltre a questa funzione principale, il DNS offre anche altre due importanti caratteristiche:

- **Aliasing**: consente di creare alias per un dominio principale (ad esempio, per il dominio *miosito.com*, è possibile avere alias come blog.miosito.com)
- **Load Balancing**: il DNS può anche fungere da bilanciatore di carico. Quando un client richiede l'indirizzo IP di un web server, il DNS può inviare la richiesta a un server specifico in base al carico di lavoro attuale, smistando così le richieste tra più indirizzi IP associati allo stesso dominio.
